# Copyright 1999 Gentoo Authors, 2023 Jake Winters
# SPDX-License-Identifier: GPL-2.0-only


EAPI=8

CRATES="
	ab_glyph-0.2.20
	ab_glyph_rasterizer-0.1.8
	adler-1.0.2
	ahash-0.8.3
	android-activity-0.4.1
	android-properties-0.2.2
	anyhow-1.0.71
	arboard-3.2.0
	arrayref-0.3.7
	arrayvec-0.7.2
	atomic_refcell-0.1.9
	autocfg-1.1.0
	bitflags-1.3.2
	block-0.1.6
	block-sys-0.1.0-beta.1
	block2-0.2.0-alpha.6
	bumpalo-3.12.0
	bytemuck-1.13.1
	bytemuck_derive-1.4.1
	bytes-1.4.0
	calloop-0.10.5
	cc-1.0.79
	cesu8-1.1.0
	cfg-if-1.0.0
	cfg_aliases-0.1.1
	cgl-0.3.2
	clipboard-win-4.5.0
	combine-4.6.6
	core-foundation-0.9.3
	core-foundation-sys-0.8.4
	core-graphics-0.22.3
	core-graphics-types-0.1.1
	crc32fast-1.3.2
	crossbeam-channel-0.5.7
	crossbeam-utils-0.8.15
	crossterm-0.25.0
	crossterm_winapi-0.9.0
	cursive-0.20.0
	cursive_core-0.3.7
	darling-0.14.4
	darling_core-0.14.4
	darling_macro-0.14.4
	dirs-4.0.0
	dirs-sys-0.3.7
	dispatch-0.2.0
	dlib-0.5.0
	downcast-rs-1.2.0
	ecolor-0.21.0
	eframe-0.21.3
	egui-0.21.0
	egui-winit-0.21.1
	egui_glow-0.21.0
	emath-0.21.0
	enum-map-2.5.0
	enum-map-derive-0.11.0
	enumset-1.0.12
	enumset_derive-0.6.1
	epaint-0.21.0
	error-code-2.3.1
	fdeflate-0.3.0
	flate2-1.0.25
	fnv-1.0.7
	foreign-types-0.3.2
	foreign-types-shared-0.1.1
	form_urlencoded-1.1.0
	gethostname-0.2.3
	getrandom-0.2.9
	gl_generator-0.14.0
	glow-0.12.1
	glutin-0.30.7
	glutin-winit-0.3.0
	glutin_egl_sys-0.4.0
	glutin_glx_sys-0.4.0
	glutin_wgl_sys-0.4.0
	hashbrown-0.12.3
	ident_case-1.0.1
	idna-0.3.0
	indexmap-1.9.3
	instant-0.1.12
	itoa-1.0.6
	jni-0.21.1
	jni-sys-0.3.0
	jobserver-0.1.26
	js-sys-0.3.61
	khronos_api-3.1.0
	lazy_static-1.4.0
	libc-0.2.141
	libdrm_amdgpu_sys-0.1.4
	libloading-0.7.4
	lock_api-0.4.9
	log-0.4.17
	malloc_buf-0.0.6
	memchr-2.5.0
	memmap2-0.5.10
	memoffset-0.6.5
	minimal-lexical-0.2.1
	miniz_oxide-0.6.2
	miniz_oxide-0.7.1
	mio-0.8.6
	ndk-0.7.0
	ndk-context-0.1.1
	ndk-sys-0.4.1+23.1.7779620
	nix-0.24.3
	nix-0.25.1
	nohash-hasher-0.2.0
	nom-7.1.3
	num-0.4.0
	num-complex-0.4.3
	num-integer-0.1.45
	num-iter-0.1.43
	num-rational-0.4.1
	num-traits-0.2.15
	num_enum-0.5.11
	num_enum_derive-0.5.11
	num_threads-0.1.6
	objc-0.2.7
	objc-foundation-0.1.1
	objc-sys-0.2.0-beta.2
	objc2-0.3.0-beta.3
	objc2-encode-2.0.0-pre.2
	objc_id-0.1.1
	once_cell-1.17.1
	orbclient-0.3.44
	owned_ttf_parser-0.18.1
	owning_ref-0.4.1
	parking_lot-0.12.1
	parking_lot_core-0.9.7
	percent-encoding-2.2.0
	pin-project-lite-0.2.9
	pkg-config-0.3.26
	png-0.17.8
	proc-macro-crate-1.3.1
	proc-macro2-1.0.56
	quote-1.0.26
	raw-window-handle-0.5.2
	redox_syscall-0.2.16
	redox_syscall-0.3.5
	redox_users-0.4.3
	ryu-1.0.13
	same-file-1.0.6
	scoped-tls-1.0.1
	scopeguard-1.1.0
	sctk-adwaita-0.5.4
	serde-1.0.159
	serde_json-1.0.95
	signal-hook-0.3.15
	signal-hook-mio-0.2.3
	signal-hook-registry-1.4.1
	simd-adler32-0.3.5
	slotmap-1.0.6
	smallvec-1.10.0
	smithay-client-toolkit-0.16.0
	smithay-clipboard-0.6.6
	stable_deref_trait-1.2.0
	str-buf-1.0.6
	strict-num-0.1.0
	syn-1.0.109
	syn-2.0.15
	thiserror-1.0.40
	thiserror-impl-1.0.40
	time-0.3.20
	time-core-0.1.0
	time-macros-0.2.8
	tiny-skia-0.8.3
	tiny-skia-path-0.8.3
	tinyvec-1.6.0
	tinyvec_macros-0.1.1
	toml_datetime-0.6.1
	toml_edit-0.19.8
	tracing-0.1.37
	tracing-core-0.1.30
	ttf-parser-0.18.1
	unicode-bidi-0.3.13
	unicode-ident-1.0.8
	unicode-normalization-0.1.22
	unicode-segmentation-1.10.1
	unicode-width-0.1.10
	url-2.3.1
	vec_map-0.8.2
	version_check-0.9.4
	walkdir-2.3.3
	wasi-0.11.0+wasi-snapshot-preview1
	wasm-bindgen-0.2.84
	wasm-bindgen-backend-0.2.84
	wasm-bindgen-futures-0.4.34
	wasm-bindgen-macro-0.2.84
	wasm-bindgen-macro-support-0.2.84
	wasm-bindgen-shared-0.2.84
	wayland-client-0.29.5
	wayland-commons-0.29.5
	wayland-cursor-0.29.5
	wayland-protocols-0.29.5
	wayland-scanner-0.29.5
	wayland-sys-0.29.5
	wayland-sys-0.30.1
	web-sys-0.3.61
	webbrowser-0.8.9
	winapi-0.3.9
	winapi-i686-pc-windows-gnu-0.4.0
	winapi-util-0.1.5
	winapi-wsapoll-0.1.1
	winapi-x86_64-pc-windows-gnu-0.4.0
	windows-sys-0.45.0
	windows-targets-0.42.2
	windows_aarch64_gnullvm-0.42.2
	windows_aarch64_msvc-0.42.2
	windows_i686_gnu-0.42.2
	windows_i686_msvc-0.42.2
	windows_x86_64_gnu-0.42.2
	windows_x86_64_gnullvm-0.42.2
	windows_x86_64_msvc-0.42.2
	winit-0.28.3
	winnow-0.4.1
	x11-dl-2.21.0
	x11rb-0.10.1
	x11rb-protocol-0.10.0
	xcursor-0.3.4
	xi-unicode-0.3.0
	xml-rs-0.8.4
"

inherit cargo

DESCRIPTION="Tool to display AMDGPU usage.
The tool displays information gathered from performance counters (GRBM, GRBM2), sensors, fdinfo, gpu_metrics and AMDGPU driver."
HOMEPAGE="https://github.com/Umio-Yasuno/amdgpu_top"
SRC_URI="https://github.com/Umio-Yasuno/amdgpu_top/archive/refs/tags/v0.1.7-stable.tar.gz $(cargo_crate_uris)"

LICENSE="0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD BSD-2 Boost-1.0 ISC LicenseRef-UFL-1.0 MIT OFL-1.1 Unicode-DFS-2016 Unlicense ZLIB"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="x11-libs/libdrm"
RDEPEND="${DEPEND}"
BDEPEND=""

QA_FLAGS_IGNORED="usr/bin/${PN}"
